Bug 444244 - Gnome clock applet with multiple places are bogus
Gnome clock applet with multiple places are bogus
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-applets (Show other bugs)
9
All Linux
low Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-25 20:27 EDT by Zoltan Hoppar
Modified: 2009-07-14 12:18 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 12:18:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
SElinux output (2.76 KB, application/octet-stream)
2008-04-25 20:27 EDT, Zoltan Hoppar
no flags Details
Paris with wrong coordinates (555.61 KB, image/png)
2008-05-01 07:09 EDT, Zoltan Hoppar
no flags Details

  None (edit)
Description Zoltan Hoppar 2008-04-25 20:27:21 EDT
Description of problem:
If you activating the multiple places in gnome-clock-applet, then in the litte
map puts every dots in USA - including what is in Europe :) 

Second problem: If you want to sync the clocks, to show proper time in the
selected places, then SElinux prevents this, denies to access the applet after
becomes the correct password.

Version-Release number of selected component (if applicable):
Rawhide Fedora 9 new clock

How reproducible:
Just add new places at the opened gnome-clock-app.

Steps to Reproduce:
1.
2.
3.
  
Actual results:
Each time is the keeps the same what was setup to home. The place of home icon
is correct, but other places (dots) are putted to sporadically to USA.

Expected results:
Correct map points, possibility to get multiple correct sync'ed times.

Additional info:
Comment 1 Zoltan Hoppar 2008-04-25 20:27:21 EDT
Created attachment 303839 [details]
SElinux output
Comment 2 Matthias Clasen 2008-04-26 19:42:27 EDT
Can you attach a screenshot ? 
Non-american locations seem to work very well here...
Comment 3 Zoltan Hoppar 2008-05-01 07:09:33 EDT
Created attachment 304303 [details]
Paris with wrong coordinates

As you can see - this is the hungarian name of the french Paris, with wrong
coordinates. (Is there an second localized list without correct coordinates?)
Comment 4 Zoltan Hoppar 2008-05-01 07:12:32 EDT
Well, I have runned some probes with the applet, and it seems that not equal to
how you write the name, and what are searching for.
If you are using another locale (not US), and you are call the city name as you
writing in your country then you will get USA coordinates, and therefore bad
timing. Worse, some of them gives nothing just the base-list to choose the
country and the city. However, some cities are localized, and gives the right
coordinates...

Try for example: Paris, or in HU: Párizs. Or Roma, Hu: Róma. However, it might
be interesting that in other locales. 

(By the way, it could be nice to get the same zooming possibility to point and
click as could be seen in the install process, to faster add other places. Other
idea is it could be also great if you could detach the places and clock-part and
leave it on the desktop, and maybe possible more bindings to evolution - but
maybe later just for Fedora 10)
Comment 5 Matthias Clasen 2008-05-01 10:41:28 EDT
Hmm, so the dialog certainly has a number of usability issues.

Your problem is that you have selected not one of the locations in Paris,
France, but Paris, Illinois
Comment 6 Zoltan Hoppar 2008-05-01 13:10:42 EDT
Yeah, I tought on that there might be duplicated cities on distant countries,
but the search could be more sensitive, or precise. Maybe city name based, so
when you are entering the name as you typing, presents the hits with country,
and at the end - just click, and it's chosen. By the way search dialog doesn't
not accept enter at end when you finished typing.  
Comment 7 Zoltan Hoppar 2008-05-01 13:32:34 EDT
Oh, sorry for another entry - but I forgot to mention, if you choose a city name
with longer name as the others - there are no text wrapping or text size
setting, istead just the applet window size changes.
Comment 8 Bug Zapper 2008-05-14 06:11:46 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Bug Zapper 2009-06-09 20:27:23 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Bug Zapper 2009-07-14 12:18:09 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.